Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.model
Interface PortletPersonalization

All Superinterfaces:
  PersonalizedObject, PersonalizedResource, PortalResource, PortalScopedObject

All Known Subinterfaces:
  MutablePortletPersonalization

public interface PortletPersonalization
extends PersonalizedResource

Interface `PortletPersonalization` represents the personalization of a Portlet for a given identity. In the same way that a `ProfileIdentity` can represent either a usergroup or a user within a usergroup, so a `PortletPersonalization` can represent the personalization of a `Portlet` for either a usergroup or a user within a usergroup.

Method Summary
`PortletPersonalizationIdentifier` | `getIdentifier()` Returns the unique identifier for this `PortletPersonalization`.
`PlaceholderIdentifier` | `getPlaceholderIdentifier()` Returns the `PlaceholderIdentifier` that represents the placeholder that this portlet is currently positioned within for this user on this page.
`int` | `getPlaceholderIndex()` Returns the position of this portlet within its placholder.
`PortletIdentifier` | `getPortletIdentifier()` Returns the identifier for the `Portlet` that this is a personalization of.
`Boolean` | `isAvailable()` Determines whether this page is currently specified as Available for this user or group.
`Boolean` | `isDefaultStateMinimized()` Determines whether this page is currently specified as Default State Minimized for this user or group.
`Boolean` | `isEntitled()` Determines whether this page is currently specified as Entitled for this user or group.
`Boolean` | `isFloatable()` Determines whether this page is currently specified as Floatable for this user or group.
`Boolean` | `isMandatory()` Determines whether this page is currently specified as Mandatory for this user or group.
`Boolean` | `isMaximizable()` Determines whether this page is currently specified as Maximizable for this user or group.
`Boolean` | `isMinimizable()` Determines whether this page is currently specified as Minimizable for this user or group.
`Boolean` | `isMinimized()` Determines whether this page is currently Minimized for this user or group.
`Boolean` | `isMovable()` Determines whether this page is currently specified as Movable for this user or group.
`Boolean` | `isVisible()` Determines whether this page is currently specified as Visible for this user or group.

Methods inherited from interface com.bea.portal.model.PortalResource
`getResourceIdentifier`

Methods inherited from interface com.bea.portal.model.PortalScopedObject
`getPortalIdentifier`

Methods inherited from interface com.bea.portal.model.PersonalizedObject
`getDisplayName, getProfileIdentity`

Method Detail

### getIdentifier

    public PortletPersonalizationIdentifier getIdentifier()

  Returns the unique identifier for this `PortletPersonalization`.

  Returns:
    the unique identifier for this personalization.

### getPortletIdentifier

    public PortletIdentifier getPortletIdentifier()

  Returns the identifier for the `Portlet` that this is a personalization of.

  Returns:
    the identifier for the associated portlet.

### getPlaceholderIdentifier

    public PlaceholderIdentifier getPlaceholderIdentifier()

  Returns the `PlaceholderIdentifier` that represents the placeholder that this portlet is currently positioned within for this user on this page.

  Returns:
    the placeholder this portlet is within.

### getPlaceholderIndex

    public int getPlaceholderIndex()

  Returns the position of this portlet within its placholder.

  Returns:
    the position of this portlet within this placeholder.

### isMinimized

    public Boolean isMinimized()

  Determines whether this page is currently Minimized for this user or group. A value of `null` (only valid for a user customization) indicates that the user has not specified whether or not this page should be Minimized.

  Returns:
    whether the page is specified as Minimized (or unspecified).

### isAvailable

    public Boolean isAvailable()

  Determines whether this page is currently specified as Available for this user or group. A value of `null` (only valid for a user customization) indicates that the user has not specified whether or not this page should be Available.

  Returns:
    whether the page is specified as Available (or unspecified).

### isMandatory

    public Boolean isMandatory()

  Determines whether this page is currently specified as Mandatory for this user or group. A value of `null` (only valid for a user customization) indicates that the user has not specified whether or not this page should be Mandatory.

  Returns:
    whether the page is specified as Mandatory (or unspecified).

### isMovable

    public Boolean isMovable()

  Determines whether this page is currently specified as Movable for this user or group. A value of `null` (only valid for a user customization) indicates that the user has not specified whether or not this page should be Movable.

  Returns:
    whether the page is specified as Movable (or unspecified).

### isMinimizable

    public Boolean isMinimizable()

  Determines whether this page is currently specified as Minimizable for this user or group. A value of `null` (only valid for a user customization) indicates that the user has not specified whether or not this page should be Minimizable.

  Returns:
    whether the page is specified as Minimizable (or unspecified).

### isMaximizable

    public Boolean isMaximizable()

  Determines whether this page is currently specified as Maximizable for this user or group. A value of `null` (only valid for a user customization) indicates that the user has not specified whether or not this page should be Maximizable.

  Returns:
    whether the page is specified as Maximizable (or unspecified).

### isFloatable

    public Boolean isFloatable()

  Determines whether this page is currently specified as Floatable for this user or group. A value of `null` (only valid for a user customization) indicates that the user has not specified whether or not this page should be Floatable.

  Returns:
    whether the page is specified as Floatable (or unspecified).

### isVisible

    public Boolean isVisible()

  Determines whether this page is currently specified as Visible for this user or group. A value of `null` (only valid for a user customization) indicates that the user has not specified whether or not this page should be Visible.

  Returns:
    whether the page is specified as Visible (or unspecified).

### isDefaultStateMinimized

    public Boolean isDefaultStateMinimized()

  Determines whether this page is currently specified as Default State Minimized for this user or group. A value of `null` (only valid for a user customization) indicates that the user has not specified whether or not this page should be Default State Minimized.

  Returns:
    whether the page is specified as Default State Minimized (or unspecified).

### isEntitled

    public Boolean isEntitled()

  Determines whether this page is currently specified as Entitled for this user or group. A value of `null` (only valid for a user customization) indicates that the user has not specified whether or not this page should be Entitled.

  Returns:
    whether the page is specified as Entitled (or unspecified).

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved